@import "variables/colors";
@import "variables/font";

.offer-item {
  align-items: center;
  border-radius: 5px;
  border: 1px solid $neutral-40;
  display: flex;
  justify-content: space-between;
  padding: 9px 10px 5px 10px;
  background-color: $neutral;

  .name {
    font-family: $roboto-bold;
    padding: 0;
    margin: 0;
  }

  .status {
    border-radius: 0;
    display: flex;
    font-weight: bold;
    gap: 6px;
    padding: 6px;
    background-color: unset;
    width: auto;

    &.enabled {
      color: $main-indigo-60;
    }

    &.draft {
      color: $warning-60;
    }

    &.disabled {
      color: $neutral-50;
    }
  }

  li::marker {
    font-size: 22px;
  }

  li::before {
    position: absolute;
  }

  .action {
    border-radius: 6px;
    margin-top: -4px;
    padding-left: 4px;

    span {
      bottom: 2px;
      margin-left: -1rem;
      position: relative;
    }

    &:first-letter {
      text-transform: uppercase;
    }

    &.in-use {
      color: $caribbean-green-60;

      &::marker {
        color: $caribbean-green-60;
      }
    }

    &.idle {
      color: $neutral-60;
      &::marker {
        color: $neutral-60;
      }
    }

    &.inactive {
      color: $error-60;
      &::marker {
        color: $error-60;
      }
    }
  }
}
